Skip to content
SynupAPI
Get an API key
POSTapi.synup.com/api/v4/locations/reviews/settings/edit

Add / Edit interaction source

Use this endpoint to add a new interaction source URL. The body of the request must contain the locationId and a siteUrls array.

Interaction sources for connected Google and Facebook accounts cannot be modified/added to. These interaction sources are automatically added when you connect your Google and Facebook accounts.

Requires an API key. Send it as Authorization: API <your-key> — see Getting started.

Parameters

Body

NameTypeRequiredDescription
locationIdstringrequired
siteUrlsarray of objectrequired
siteUrls[].namestringoptional
siteUrls[].urlstringoptional

Request

Request
curl -X POST 'https://api.synup.com/api/v4/locations/reviews/settings/edit' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "locationId": "TG9jYXRpb246MTY4MDU=",
  "siteUrls": [
    {
      "name": "trulia.com",
      "url": "test.com"
    }
  ]
}'

Responses

StatusDescription
200
Example response
{
  "data": {
    "editInteractionsSetting": {
      "errors": null,
      "interactionSetting": {
        "positiveInteractionThreshold": 2,
        "siteSettings": [
          {
            "name": "trulia.com",
            "url": "test.com",
            "connected": false
          },
          {
            "name": "google.com",
            "url": "test.com",
            "connected": false
          },
          {
            "name": "foursquare.com",
            "url": "test.com",
            "connected": false
          },
          {
            "name": "yelp.com",
            "url": "https://www.yelp.com/biz/yelp-san-francisco?sort_by=date_desc",
            "connected": false
          },
          {
            "name": "facebook.com",
            "url": "https://www.facebook.com/Om-book-shop-613976075648984/",
            "connected": true
          },
          {
            "name": "maps.google.com",
            "url": "https://maps.google.com/maps?cid=11886702604501862703",
            "connected": true
          },
          {
            "name": "zillow.com",
            "url": null,
            "connected": false
          },
          {
            "name": "realtor.com",
            "url": null,
            "connected": false
          },
          {
            "name": "reach150.com",
            "url": null,
            "connected": false
          },
          {
            "name": "yelloyello.com",
            "url": "https://www.yelloyello.com/places/tryvexan-review-new-york",
            "connected": false
          }
        ],
        "id": "743c8f7e-cc47-42ff-a640-3c4d072dcb86"
      }
    }
  }
}

Response body

NameTypeRequiredDescription
dataobjectrequired
data.editInteractionsSettingobjectrequired
data.editInteractionsSetting.errorsnullrequired
data.editInteractionsSetting.interactionSettingobjectrequired
data.editInteractionsSetting.interactionSetting.positiveInteractionThresholdintegerrequired
data.editInteractionsSetting.interactionSetting.siteSettingsarray of objectrequired
data.editInteractionsSetting.interactionSetting.siteSettings[].namestringrequired
data.editInteractionsSetting.interactionSetting.siteSettings[].urlstringrequired
data.editInteractionsSetting.interactionSetting.siteSettings[].connectedbooleanrequired
data.editInteractionsSetting.interactionSetting.idstringrequired
data.interactionSiteConfigarray of objectrequired
data.interactionSiteConfig[].sitestringrequired
data.interactionSiteConfig[].siteUrlstringrequired
data.interactionsSettingobjectrequired
data.interactionsSetting.siteSettingsarray of objectrequired
data.interactionsSetting.siteSettings[].namestringrequired
data.interactionsSetting.siteSettings[].urlstringrequired